Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.chart
Class ChartComponent.jpivotCategoryURLGenerator

    java.lang.Object
      org.jfree.chart.urls.StandardCategoryURLGenerator
          com.tonbeller.jpivot.chart.ChartComponent.jpivotCategoryURLGenerator

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, org.jfree.chart.urls.CategoryURLGenerator

Enclosing class:
  ChartComponent

    public class ChartComponent.jpivotCategoryURLGenerator

extends org.jfree.chart.urls.StandardCategoryURLGenerator

A URLGenerator class to generate chart urls that work with jpivot

Author:
  robin
See Also:
  Serialized Form

Method Summary
`java.lang.String` | `generateURL(org.jfree.data.category.CategoryDataset data, int series, int category)` Implementation of generateURL that integrates with jpivot/wcf framework.

Methods inherited from class org.jfree.chart.urls.StandardCategoryURLGenerator
`clone, equals, hashCode`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### generateURL

    public java.lang.String generateURL(org.jfree.data.category.CategoryDataset data,
                                        int series,
                                        int category)

  Implementation of generateURL that integrates with jpivot/wcf framework. A request handler is added for each cell/item. No test is done to see if a cell is drillable, since the url has to added (I think, like an all or nothing ?) Generates a URL for a particular item within a series.

  Specified by:
    `generateURL` in interface `org.jfree.chart.urls.CategoryURLGenerator`
  Overrides:
    `generateURL` in class `org.jfree.chart.urls.StandardCategoryURLGenerator`
  Parameters:
    `data` - the dataset.
    `series` - the series index (zero-based).
    `category` - the category index (zero-based).
  Returns:
    the generated URL

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD